<!DOCTYPE html>
<html>
<head>
	
	<title>Software Professional Code of Ethics</title>
</head>
<body>
	<u><i>Science and Engineering Ethics(2001)7, 231-238</i></u>
	<h1>Software Enginerring Code of Ethics and Professional Practice</h1>
	<h2>IEE CS/ACM Joint Task Force on Software Engineering Ehics and Professional Practices</h2>

	<u></u>
	<h3>Keywords:</h3>code of ethics, professional responsibility, software engineering

	<h2>Preamble</h2>

	<p>The short version of the code summarizes aspirations at a high level of abstraction.The clauses that are included in the full version gives examples and details of how these aspirations change the way we act as software engineering professionals.Without the sapirations, the details can become legalistic and tedious, without the details, the aspirations can become high sounding but empty, together , the aspirations and the details form a cohesive code.

   </p>

   <p>Software engineers shall commit themselves to making the analysis, specifications, design, development, testing and maintenance of software a beneficial and respected profession.In accordance with their commitment to health, safety, and welfare of the public, software engineering shall adhere to the following eight Principles:</p>

   <h2>PRINCIPLES</h2>
   <ol>
   	<li><i>Public</i> , Software engineers shall act consistently with public interest<li>
   	<li><i>Client and employer</i> Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with public interest</li>
   	<li><i>Product</i> Software Engineers shall ensure their products and related modifications meet the highest professional standards possible</li>
   	<li><i>Judgement</i> Software Enigneers shall maintain integrity and independence in their professional judgement</li>
   	<li><i>Management</i> Software Engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance</li>
   	<li><i>Profession</i> Software Engineers shall advance the integrity and and reputation of the profession consistent with public interest</li>
   	<li><i>Coleagues</i> Software Engineers shall be fair to and supportive of their colleagues</li>
   	<li><i>Self</i> Software Engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession</li>

   </ol>


</body>
</html>